# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::STLLoader Class Reference

Loads an STL file. More...

`#include <ioSTL.hpp>`

List of all members.

## Public Member Functions

ref< ResourceDatabase > | loadSTL (VirtualFile *file)
| Loads a STL file.
ref< ResourceDatabase > | loadAscii (VirtualFile *file)
ref< ResourceDatabase > | loadBinary (VirtualFile *file)

## Detailed Description

Loads an STL file.

Definition at line 91 of file ioSTL.hpp.

## Member Function Documentation

ref< ResourceDatabase > STLLoader::loadSTL | ( | VirtualFile * | file ) |

Loads a STL file.

Definition at line 171 of file ioSTL.cpp.

References vl::VirtualFile::close(), loadAscii(), loadBinary(), vl::OM_ReadOnly, vl::VirtualFile::open(), vl::VirtualFile::read(), and vl::VirtualFile::seekSet().

Referenced by vl::loadSTL().

ref< ResourceDatabase > STLLoader::loadAscii | ( | VirtualFile * | file ) |

Definition at line 116 of file ioSTL.cpp.

References vl::Geometry::drawCalls(), vl::ref< T >::get(), NULL, vl::PT_TRIANGLES, vl::Collection< T >::push_back(), vl::TextStream::readLine(), vl::BufferedStream< Element_Type, Chunk_Size >::setInputFile(), vl::Vector3< T_Scalar >::x(), vl::Vector3< T_Scalar >::y(), and vl::Vector3< T_Scalar >::z().

Referenced by loadSTL().

ref< ResourceDatabase > STLLoader::loadBinary | ( | VirtualFile * | file ) |

Definition at line 66 of file ioSTL.cpp.

References vl::ref< T >::get(), NULL, vl::PT_TRIANGLES, vl::VirtualFile::read(), vl::VirtualFile::readFloat(), vl::VirtualFile::readUInt16(), vl::VirtualFile::readUInt32(), vl::Vector3< T_Scalar >::x(), vl::Vector3< T_Scalar >::y(), and vl::Vector3< T_Scalar >::z().

Referenced by loadSTL().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/ioSTL.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/ioSTL.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:43.
Permission is granted to use this page to write and publish articles regarding Visualization Library.